<back to all web services

GetItemsTargetLanguagesStatuses

The following routes are available for this service:
POST/RestApi/translations/getTargetLanguagesStatuses
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class GetItemsTargetLanguagesStatuses
{
    open var Ids:ArrayList<UUID>? = null
    open var ContentType:Class? = null
    open var SourceLanguage:String? = null
    open var Skip:Int? = null
    open var Take:Int? = null
}

@DataContract
open class CollectionContext<T>
{
    @DataMember
    open var TotalCount:Int? = null

    @DataMember
    open var IsGeneric:Boolean? = null

    @DataMember
    open var Context:HashMap<String,String>? = null

    @DataMember
    open var Items:ArrayList<ItemsTargetLanguageStatusProxy>? = null
}

open class ItemsTargetLanguageStatusProxy
{
    open var Code:String? = null
    open var Name:String? = null
    open var SomeItemsHaveIncompatiblePendingTranslations:Boolean? = null
    open var AllItemsHaveIncompatiblePendingTranslations:Boolean? = null
}

Kotlin GetItemsTargetLanguagesStatuses DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/getTargetLanguagesStatuses HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"SourceLanguage":"String","Skip":0,"Take":0}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}